#include "MenuTextMenu_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextMenu_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextMenu_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_menu;
}

std::shared_ptr<Entity> CreateMenuTextMenu_Player2Keyboard()
{
	return std::make_shared<MenuTextMenu_Player2Keyboard>();
}


